apiVersion: apps/v1
kind: Deployment
metadata:
  name: redis-cart
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-python: monitoring/otel-instrumentation
    spec:
      containers:
      - name: redis
        env:
        - name: OTEL_SERVICE_NAME
          value: redis-cart
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: adservice
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-java: monitoring/otel-instrumentation
    spec:
      containers:
      - name: server
        env:
        - name: OTEL_SERVICE_NAME
          value: adservice
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: currencyservice
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-nodejs: monitoring/otel-instrumentation
    spec:
      containers:
      - name: server
        env:
        - name: OTEL_SERVICE_NAME
          value: currencyservice
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: emailservice
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-python: monitoring/otel-instrumentation
    spec:
      containers:
      - name: server
        env:
        - name: OTEL_SERVICE_NAME
          value: emailservice
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: loadgenerator
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-python: monitoring/otel-instrumentation
    spec:
      containers:
      - name: main
        env:
        - name: OTEL_SERVICE_NAME
          value: loadgenerator
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: paymentservice
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-nodejs: monitoring/otel-instrumentation
    spec:
      containers:
      - name: server
        env:
        - name: OTEL_SERVICE_NAME
          value: paymentservice
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: recommendationservice
spec:
  template:
    metadata:
      annotations:
        instrumentation.opentelemetry.io/inject-python: monitoring/otel-instrumentation
    spec:
      containers:
      - name: server
        env:
        - name: OTEL_SERVICE_NAME
          value: recommendationservice
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: http://otel-collector.monitoring.svc.cluster.local:4318
        - name: OTEL_RESOURCE_ATTRIBUTES
          value: app=security-scan-test
